/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'Object Inspector'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

CurrentDir  = Directory()
ProgramsDir = VALUE('PROGRAMS',,'OS2ENVIRONMENT')

/*  
eJava    = 'E:\Programs\Java\eJava'

JavaHome = ProgramsDir || '\OPENJDK6'
JavaProg = 'E:\Programs\Java'
*/

CALL rxLoadSettings(MY_CFG_FILE)



/* wget jGoGui.zip          */

ADDRESS cmd 'wget -O ' || eJava || '\res\jGoGui.zip --ftp-user=os2user --ftp-password=os2 ftp://os2notes.duckdns.org/eJava/jGoGui.zip'

ADDRESS cmd 'unzip ' || eJava || '\res\jGoGui*.zip' || ' -d ' || JavaProg || '\jGoGui' ;


/* Get creation disposition. */
Say 'When object exists object creation should:' 
Call CharOut, '  (U=Update, R=Replace, F=Fail) : '
Parse Upper Pull Answer
CreateCollision = 'Fail'
If Left( Answer, 1 ) = R Then CreateCollision = 'Replace' 
If Left( Answer, 1 ) = U Then CreateCollision = 'Update' 

Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPProgram',,
    'jGoGui',,
    '<WP_JGAMES>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=RUNNING;'||,
        ';'||,
        'ICONPOS=20,10;'||,
        'ICONFILE='||eJava||'\icons\os2\jGoGui.ICO;'||,
        'EXENAME='||JavaHome||'\BIN\JAVAW.EXE;'||,
        'STARTUPDIR='||JavaProg||'\jGoGui\gogui-1.4.9\lib;'||,
        'PARAMETERS=-jar gogui.jar;'||,
        'PROGTYPE=PM;'||,
        'OBJECTID=<jGOGUI>',,
    CreateCollision )

return

rxLoadSettings:
  f_name = STRIP( ARG(1) )
  IF LENGTH( f_name )  = 0 THEN RETURN 1
  IF STREAM( f_name, 'C', 'QUERY EXIST' ) < 10 THEN RETURN 2
  DO WHILE LINES( f_name ) > 0
    INTERPRET LINEIN( f_name )
  END
  CALL STREAM f_name, 'C', 'CLOSE'
RETURN 0

